Current user
GET
/me
Retrieve the profile of the currently logged in user.
Antwoord-payload
activeSessions
integer
verplicht
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
verplicht
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
verplicht
Email addresses associated with user.
Onderliggende attributen tonen
emails.createdAt
string
verplicht
When this record was created.
emails.email
string
verplicht
The email address.
emails.id
string
verplicht
ID of the email record.
emails.passwordSet
boolean
verplicht
Whether there is a password set for this email address.
emails.tokenSet
boolean
verplicht
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
verplicht
ID of the user this record is associated with.
emails.verified
boolean
verplicht
Whether the email address is verified.
id
string
verplicht
ID of the user
identities
array of object
Third-party identities associated with user.
Onderliggende attributen tonen
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
verplicht
The display name for the user
phoneNumber
string
phoneNumbers
array of object
verplicht
The phone numbers associated with the user.
Onderliggende attributen tonen
phoneNumbers.createdAt
string
verplicht
phoneNumbers.id
string
verplicht
phoneNumbers.phoneNumber
string
verplicht
phoneNumbers.primary
boolean
verplicht
phoneNumbers.updatedAt
string
verplicht
phoneNumbers.userId
string
verplicht
phoneNumbers.verified
boolean
verplicht
status
string
verplicht
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
verplicht
When the user was last updated.
userFraudInformation
object
Onderliggende attributen tonen
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Codevoorbeeld
curl -X GET 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/me
Update the profile of the currently logged in user.
Verzoek-payload
name
string
The display name for the user
bio
string
The user's description
avatarUrl
string
URL to the user's profile picture.
locale
string
timezone
string
The default timezone for the user.
Antwoord-payload
activeSessions
integer
verplicht
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
verplicht
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
verplicht
Email addresses associated with user.
Onderliggende attributen tonen
emails.createdAt
string
verplicht
When this record was created.
emails.email
string
verplicht
The email address.
emails.id
string
verplicht
ID of the email record.
emails.passwordSet
boolean
verplicht
Whether there is a password set for this email address.
emails.tokenSet
boolean
verplicht
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
verplicht
ID of the user this record is associated with.
emails.verified
boolean
verplicht
Whether the email address is verified.
id
string
verplicht
ID of the user
identities
array of object
Third-party identities associated with user.
Onderliggende attributen tonen
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
verplicht
The display name for the user
phoneNumber
string
phoneNumbers
array of object
verplicht
The phone numbers associated with the user.
Onderliggende attributen tonen
phoneNumbers.createdAt
string
verplicht
phoneNumbers.id
string
verplicht
phoneNumbers.phoneNumber
string
verplicht
phoneNumbers.primary
boolean
verplicht
phoneNumbers.updatedAt
string
verplicht
phoneNumbers.userId
string
verplicht
phoneNumbers.verified
boolean
verplicht
status
string
verplicht
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
verplicht
When the user was last updated.
userFraudInformation
object
Onderliggende attributen tonen
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/me
Delete the profile of the currently logged in user. Essentially deleting your account with the platform.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'